<portlet-app version="1.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://java.sun.com/xml/ns/portlet"
  xmlns="http://java.sun.com/xml/ns/portlet">
  <portlet>
    <portlet-name>ajaxPortlet</portlet-name>
    <portlet-class>
      javax.portlet.faces.GenericFacesPortlet
    </portlet-class>

    <init-param>
      <name>javax.portlet.faces.defaultViewId.view</name>
      <value>/jsf/start.xhtml</value>
    </init-param>

    <init-param>
      <name>javax.portlet.faces.defaultViewId.edit</name>
      <value>/jsf/edit.jspx</value>
    </init-param>

    <init-param>
      <name>javax.portlet.faces.defaultViewId.help</name>
      <value>/jsf/help.jspx</value>
    </init-param>

    <expiration-cache>-0</expiration-cache>
    <portlet-info>
       <title>Ajax Portlet</title>
    </portlet-info>
    <supports>
      <mime-type>text/html</mime-type>
      <portlet-mode>VIEW</portlet-mode>
      <portlet-mode>EDIT</portlet-mode>
      <portlet-mode>HELP</portlet-mode>
    </supports>
  </portlet>
</portlet-app>
